package gopher

import (
	"gophi/core"
	"regexp"
)

// gophermapRegex is the precompiled gophermap file name regex check
var gophermapRegex = regexp.MustCompile(`^(|.+/|.+\.)gophermap$`)

// isGophermap checks against gophermap regex as to whether a file path is a gophermap
func isGophermap(path *core.Path) bool {
	return gophermapRegex.MatchString(path.Relative())
}
